<?php
/**
 * Functions for the Restaurant Block WordPress theme.
 *
 * @since 0.1
 */


// DEFINE

if ( ! defined( 'RESTAURANT_BLOCK_VERSION' ) ) { define( 'RESTAURANT_BLOCK_VERSION', '0.4' ); }
if ( ! defined( 'RESTAURANT_BLOCK_THEME_DIR' ) ) { define( 'RESTAURANT_BLOCK_THEME_DIR', get_template_directory_uri() ); }
if ( ! defined( 'RESTAURANT_BLOCK_THEME_PATH' ) ) { define( 'RESTAURANT_BLOCK_THEME_PATH', get_template_directory() ); }

// ENQUEUE FRONT-END ASSETS

add_action( 'wp_enqueue_scripts', 'restaurant_block_enqueue' );

function restaurant_block_enqueue() {
	
	wp_enqueue_style( 'restaurant-block', RESTAURANT_BLOCK_THEME_DIR . '/assets/css/restaurant-block.css', RESTAURANT_BLOCK_VERSION );
	wp_enqueue_style( 'restaurant-block-patterns', RESTAURANT_BLOCK_THEME_DIR . '/assets/css/patterns.css', RESTAURANT_BLOCK_VERSION );
}

// ENQUEUE BLOCK ASSETS

add_action( 'enqueue_block_editor_assets', 'restaurant_block_enqueue_block_assets' );

function restaurant_block_enqueue_block_assets() {
	
	wp_enqueue_style( 'restaurant-block', RESTAURANT_BLOCK_THEME_DIR . '/assets/css/restaurant-block.css', RESTAURANT_BLOCK_VERSION );
	wp_enqueue_style( 'restaurant-block-patterns', RESTAURANT_BLOCK_THEME_DIR . '/assets/css/patterns.css', RESTAURANT_BLOCK_VERSION );
	wp_enqueue_script( 'restaurant-block-modified-blocks', RESTAURANT_BLOCK_THEME_DIR . '/assets/js/modified-blocks.js', array( 'wp-blocks', 'wp-dom-ready', 'wp-edit-post' ), RESTAURANT_BLOCK_VERSION );
}

// ADD STYLE VARIATION NAME AS BODY CLASS

add_filter( 'body_class','restaurant_block_body_classes' );

function restaurant_block_body_classes( $classes ) {

	$variation_class = wp_get_global_settings( array( 'custom', 'variation' ) );
	$classes[] = $variation_class;

	return $classes;
}

// ADD EXCERPTS TO PAGES

add_action( 'init', 'restaurant_block_add_excerpts_to_pages' );

function restaurant_block_add_excerpts_to_pages() {
	
	add_post_type_support( 'page', 'excerpt' );
}

// INCLUDES

require RESTAURANT_BLOCK_THEME_PATH . '/includes/Dashboard.class.php';
require RESTAURANT_BLOCK_THEME_PATH . '/includes/Helper.class.php';
require RESTAURANT_BLOCK_THEME_PATH . '/includes/Patterns.class.php';
require RESTAURANT_BLOCK_THEME_PATH . '/includes/ReviewAsk.class.php';
new rbtReviewAsk();

// ADMIN MENU

add_action( 'admin_menu', 'restaurant_block_create_admin_menu_and_pages' );

function restaurant_block_create_admin_menu_and_pages() {

	add_theme_page( 'Restaurant Block Theme', 'Restaurant Block Theme', 'manage_options', 'restaurant-block-dashboard-page', array( new restaurantblockDashboard, 'dashboard_page' ) );
}