<?php
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'restaurantblockPatterns' ) ) {
/**
 * Class to handle theme Gutenberg block patterns
 *
 * @since 0.1
 */
class restaurantblockPatterns {

	/**
	 * Add hooks
	 * @since 0.1
	 */
	public function __construct() {

		add_action( 'init', array( $this, 'add_pattern_category' ) );
	}

	/**
	 * Create a new category of block patterns to hold our pattern(s)
	 * @since 0.1
	 */
	public function add_pattern_category() {
		
		register_block_pattern_category(
			'restaurant-block-block-patterns',
			array(
				'label' => __( 'Restaurant Block Theme', 'restaurant-block' )
			)
		);
	}
}
}

new restaurantblockPatterns();