<?php
/**
 * Function for recommending plugins
 * @since 0.1
 */
function restaurant_block_register_required_plugins( $plugin_array ) {

	foreach ( $plugin_array as $recommended_plugin ) {

		$link = wp_nonce_url(
			add_query_arg(
				array(
					'action' => 'install-plugin',
					'plugin' => $recommended_plugin['slug'],
				),
				admin_url( 'update.php' )
			),
			'install-plugin' . '_' . $recommended_plugin['slug']
		);

		if ( file_exists( WP_PLUGIN_DIR . '/' . $recommended_plugin['file'] ) ) {

			$status        = ( is_plugin_active( $recommended_plugin['file'] ) ) ? __( ' (active)', 'restaurant-block' ) : __( ' (inactive)', 'restaurant-block' );
			$button_status = ( is_plugin_active( $recommended_plugin['file'] ) ) ? 'button-active' : 'button-inactive';
		}
		else {

			$status        = __( ' (not installed)', 'restaurant-block' );
			$button_status = '';
		}

		echo '<a href="' . esc_attr( $link ) . '" class="button button-secondary ' . esc_attr( $button_status ) . '">' . esc_html ( $recommended_plugin['name'] ) . esc_html( $status ) . '</a> ';
	}
}