<?php
/**
 * Title: Features
 * Slug: restaurant-block/features
 * Description: Adds a features area.
 * Categories: restaurant-block-block-patterns
 */
?>
<!-- wp:group {"align":"full","style":{"spacing":{"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60"},"margin":{"top":"0"}}},"className":"restaurant-block-features is-style-restaurant-block-dark","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull restaurant-block-features is-style-restaurant-block-dark" style="margin-top:0;padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)">
	<!-- wp:heading {"style":{"typography":{"fontSize":"54px"}}} -->
	<h2 class="wp-block-heading" style="font-size:54px"><strong><?php echo esc_html_x( 'What we do', 'Title of features area', 'restaurant-block' ); ?></strong></h2>
	<!-- /wp:heading -->
	
	<!-- wp:columns {"style":{"spacing":{"padding":{"top":"40px","bottom":"28px"},"blockGap":{"left":"var:preset|spacing|70"}}}} -->
	<div class="wp-block-columns" style="padding-top:40px;padding-bottom:28px">
		<!-- wp:column {"width":"px","style":{"border":{"top":{"color":"var:preset|color|contrast","width":"1px"}},"spacing":{"padding":{"top":"18px","bottom":"18px"}}},"layout":{"type":"default"}} -->
		<div class="wp-block-column" style="border-top-color:var(--wp--preset--color--contrast);border-top-width:1px;padding-top:18px;padding-bottom:18px">
			<!-- wp:paragraph {"align":"left","style":{"typography":{"fontSize":"22px"}}} -->
			<p class="has-text-align-left" style="font-size:22px"><strong><?php echo esc_html_x( 'Dining', 'Title of first feature', 'restaurant-block' ); ?></strong></p>
			<!-- /wp:paragraph -->
			
			<!-- wp:paragraph {"align":"left","style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"300"},"spacing":{"margin":{"top":"8px"}}}} -->
			<p class="has-text-align-left" style="margin-top:8px;font-size:17px;font-style:normal;font-weight:300"><?php echo esc_html_x( 'Fusce nec auctor tortor, vitae venenatis diam. Cras mattis quam vitae luctus efficitur. Quisque placerat maximus.', 'Main text for first feature', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->
		</div>
		<!-- /wp:column -->
		
		<!-- wp:column {"width":"px","style":{"spacing":{"padding":{"top":"18px","bottom":"18px"}},"border":{"top":{"color":"var:preset|color|contrast","width":"1px"},"right":{},"bottom":{},"left":{}}}} -->
		<div class="wp-block-column" style="border-top-color:var(--wp--preset--color--contrast);border-top-width:1px;padding-top:18px;padding-bottom:18px">
			<!-- wp:paragraph {"style":{"typography":{"fontSize":"22px"}}} -->
			<p style="font-size:22px"><strong><?php echo esc_html_x( 'Special events', 'Title of second feature', 'restaurant-block' ); ?></strong></p>
			<!-- /wp:paragraph -->
			
			<!-- wp:paragraph {"align":"left","style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"300"},"spacing":{"margin":{"top":"8px"}}}} -->
			<p class="has-text-align-left" style="margin-top:8px;font-size:17px;font-style:normal;font-weight:300"><?php echo esc_html_x( 'Fusce nec auctor tortor, vitae venenatis diam. Cras mattis quam vitae luctus efficitur. Quisque placerat maximus.', 'Main text for second feature', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->
		</div>
		<!-- /wp:column -->
		
		<!-- wp:column {"width":"px","style":{"border":{"top":{"color":"var:preset|color|contrast","width":"1px"}},"spacing":{"padding":{"top":"18px","bottom":"18px"}}}} -->
		<div class="wp-block-column" style="border-top-color:var(--wp--preset--color--contrast);border-top-width:1px;padding-top:18px;padding-bottom:18px">
		<!-- wp:paragraph {"style":{"typography":{"fontSize":"22px"}}} -->
			<p style="font-size:22px"><strong><?php echo esc_html_x( 'Corporate', 'Title of third feature', 'restaurant-block' ); ?></strong></p>
			<!-- /wp:paragraph -->
			
			<!-- wp:paragraph {"align":"left","style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"300"},"spacing":{"margin":{"top":"8px"}}}} -->
			<p class="has-text-align-left" style="margin-top:8px;font-size:17px;font-style:normal;font-weight:300"><?php echo esc_html_x( 'Fusce nec auctor tortor, vitae venenatis diam. Cras mattis quam vitae luctus efficitur. Quisque placerat maximus.', 'Main text for third feature', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->
		</div>
		<!-- /wp:column -->
	</div>
	<!-- /wp:columns -->
	
	<!-- wp:buttons -->
	<div class="wp-block-buttons">
		<!-- wp:button {"style":{"typography":{"fontSize":"17px"}},"className":"restaurant-block-button is-style-outline"} -->
		<div class="wp-block-button has-custom-font-size restaurant-block-button is-style-outline" style="font-size:17px"><a class="wp-block-button__link wp-element-button" href="#"><?php echo esc_html_x( 'Find out more', 'Features call to action button text', 'restaurant-block' ); ?></a></div>
		<!-- /wp:button -->
	</div>
	<!-- /wp:buttons -->
</div>
<!-- /wp:group -->