<?php
/**
 * Title: Hero Image
 * Slug: restaurant-block/hero
 * Description: Adds a hero image.
 * Categories: restaurant-block-block-patterns
 */
?>
<!-- wp:cover {"useFeaturedImage":true,"dimRatio":50,"overlayColor":"contrast","contentPosition":"center center","align":"full","className":"restaurant-block-hero"} -->
<div class="wp-block-cover alignfull restaurant-block-hero">
	<span aria-hidden="true" class="wp-block-cover__background has-contrast-background-color has-background-dim"></span>
	<div class="wp-block-cover__inner-container">
		<!-- wp:paragraph {"align":"center","placeholder":"Write title…","textColor":"base","className":"restaurant-block-hero-title","style":{"typography":{"fontSize":"72px"}}} -->
		<p class="has-text-align-center has-base-color has-text-color restaurant-block-hero-title" style="font-size:72px"><strong><?php echo esc_html_x( 'Five Star Block Theme', 'Hero title', 'restaurant-block' ); ?></strong></p>
		<!-- /wp:paragraph -->

		<!-- wp:paragraph {"align":"center","textColor":"base","className":"restaurant-block-hero-text","style":{"typography":{"fontSize":"20px"}}} -->
		<p class="has-text-align-center has-base-color has-text-color restaurant-block-hero-text" style="font-size:20px"><?php echo esc_html_x( 'This is text on a hero image. Here you can write a catchy hook to engage visitors and/or link to an import section of your site.', 'Hero text', 'restaurant-block' ); ?></p>
		<!-- /wp:paragraph -->
		
		<!-- wp:spacer {"height":"17px"} -->
		<div style="height:17px" aria-hidden="true" class="wp-block-spacer"></div>
		<!-- /wp:spacer -->
	
		<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
		<div class="wp-block-buttons">
			<!-- wp:button {"style":{"typography":{"fontSize":"20px"}},"className":"restaurant-block-button is-style-outline"} -->
			<div class="wp-block-button has-custom-font-size restaurant-block-button is-style-outline" style="font-size:20px">
				<a class="wp-block-button__link wp-element-button" href="reservations"><?php echo esc_html_x( 'Book a table', 'Hero button text', 'restaurant-block' ); ?></a>
			</div>
			<!-- /wp:button -->
		</div>
		<!-- /wp:buttons -->
	</div>
</div>
<!-- /wp:cover -->