<?php
/**
 * Title: Image Text Alternate
 * Slug: restaurant-block/image-text-alt
 * Description: Adds a group with an image on the right and text on the left.
 * Categories: restaurant-block-block-patterns
 */
?>
<!-- wp:group {"align":"full","style":{"spacing":{"padding":{"top":"0","bottom":"0"},"margin":{"top":"0","bottom":"0"}}},"className":"restaurant-block-image-text-alt is-style-default","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull restaurant-block-image-text-alt is-style-default" style="margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0">
	<!-- wp:columns {"align":"full","style":{"spacing":{"blockGap":{"left":"0"}}},"className":"is-style-restaurant-block-alt"} -->
	<div class="wp-block-columns alignfull is-style-restaurant-block-alt">
		<!-- wp:column {"verticalAlignment":"center","width":"50%","style":{"spacing":{"padding":{"right":"0","left":"0","top":"0","bottom":"0"}}},"layout":{"type":"default"}} -->
		<div class="wp-block-column is-vertically-aligned-center" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;flex-basis:50%">
			<!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60","left":"15%","right":"15%"}}},"className":"is-style-default","layout":{"type":"constrained"}} -->
			<div class="wp-block-group is-style-default" style="padding-top:var(--wp--preset--spacing--60);padding-right:15%;padding-bottom:var(--wp--preset--spacing--60);padding-left:15%">
				<!-- wp:heading {"style":{"typography":{"fontSize":"54px"},"spacing":{"margin":{"top":"0"}}}} -->
				<h2 class="wp-block-heading" style="margin-top:0;font-size:54px"><strong><?php echo esc_html_x( 'Food Ordering.', 'Section title', 'restaurant-block' ); ?></strong></h2>
				<!-- /wp:heading -->
				<!-- wp:paragraph {"style":{"typography":{"fontSize":"22px"}}} -->
				<p style="font-size:22px"><?php echo esc_html_x( 'Commission free. Easy to use. Customer Friendly.', 'Section description text', 'restaurant-block' ); ?></p>
				<!-- /wp:paragraph -->
				<!-- wp:paragraph {"style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"300"},"spacing":{"margin":{"bottom":"var:preset|spacing|30","top":"24px"}}}} -->
				<p style="margin-top:24px;margin-bottom:var(--wp--preset--spacing--30);font-size:17px;font-style:normal;font-weight:300"><?php echo esc_html_x( 'Stop paying commission fees and add a full-featured food ordering platform directly on your site. Let customers choose items from your menu, add them to a cart and check out via PayPal or Stripe. You can also have them pay in store, if you would prefer.', 'Section main text', 'restaurant-block' ); ?></p>
				<!-- /wp:paragraph -->
				<!-- wp:buttons -->
				<div class="wp-block-buttons">
					<!-- wp:button {"textColor":"contrast","style":{"typography":{"fontSize":"17px"}},"borderColor":"contrast","className":"restaurant-block-button restaurant-block-button-black is-style-outline"} -->
					<div class="wp-block-button has-custom-font-size restaurant-block-button restaurant-block-button-black is-style-outline" style="font-size:17px"><a class="wp-block-button__link has-contrast-color has-text-color has-border-color has-contrast-border-color wp-element-button" href="order-food"><?php echo esc_html_x( 'Order Food Now', 'Section call to action button text', 'restaurant-block' ); ?></a></div>
					<!-- /wp:button -->
				</div>
				<!-- /wp:buttons -->
			</div>
			<!-- /wp:group -->
		</div>
		<!-- /wp:column -->

		<!-- wp:column {"width":"50%"} -->
		<div class="wp-block-column" style="flex-basis:50%">
			<!-- wp:cover {"url":"/wp-content/themes/restaurant-block/assets/img/resto2.jpg","id":207,"dimRatio":20,"minHeight":100,"minHeightUnit":"%","contentPosition":"center center","style":{"color":{"duotone":"var:preset|duotone|grayscale"}},"layout":{"type":"default"}} -->
			<div class="wp-block-cover" style="min-height:100%">
				<span aria-hidden="true" class="wp-block-cover__background has-background-dim-20 has-background-dim"></span>
				<img class="wp-block-cover__image-background wp-image-207" alt="" src="/wp-content/themes/restaurant-block/assets/img/resto2.jpg" data-object-fit="cover"/>
				<div class="wp-block-cover__inner-container">
					<!-- wp:paragraph {"align":"center","placeholder":"Write title…","fontSize":"large"} -->
					<p class="has-text-align-center has-large-font-size"></p>
					<!-- /wp:paragraph -->
				</div>
			</div>
			<!-- /wp:cover -->
		</div>
		<!-- /wp:column -->
	</div>
	<!-- /wp:columns -->
</div>
<!-- /wp:group -->