<?php
/**
 * Title: Image Text
 * Slug: restaurant-block/image-text
 * Description: Adds a group with two overlapping images on the left and text on the right.
 * Categories: restaurant-block-block-patterns
 */
?>
<!-- wp:group {"align":"full","style":{"spacing":{"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60"},"margin":{"top":"0","bottom":"0"}}},"className":"restaurant-block-image-text is-style-restaurant-block-alt","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull restaurant-block-image-text is-style-restaurant-block-alt" style="margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)">
	<!-- wp:columns {"style":{"spacing":{"blockGap":{"left":"var:preset|spacing|50"}}}} -->
	<div class="wp-block-columns">
		<!-- wp:column {"width":"40%"} -->
		<div class="wp-block-column" style="flex-basis:40%">
			<!-- wp:group {"style":{"spacing":{"padding":{"top":"0","bottom":"0"}}},"className":"restaurant-block-overlapping-images","layout":{"type":"flex","flexWrap":"nowrap"}} -->
			<div class="wp-block-group restaurant-block-overlapping-images" style="padding-top:0;padding-bottom:0">
				<!-- wp:image {"id":283,"sizeSlug":"large","linkDestination":"none"} -->
				<figure class="wp-block-image size-large">
					<img src="/wp-content/themes/restaurant-block/assets/img/inside.jpg" alt="" class="wp-image-283"/>
				</figure>
				<!-- /wp:image -->
				<!-- wp:image {"id":258,"sizeSlug":"large","linkDestination":"none"} -->
				<figure class="wp-block-image size-large">
					<img src="/wp-content/themes/restaurant-block/assets/img/tables3.jpg" alt="" class="wp-image-258"/>
				</figure>
				<!-- /wp:image -->
			</div>
			<!-- /wp:group -->
		</div>
		<!-- /wp:column -->

		<!-- wp:column {"verticalAlignment":"center","width":"50%"} -->
		<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:50%">
			<!-- wp:paragraph {"align":"left","style":{"typography":{"fontStyle":"normal","fontWeight":"400","fontSize":"1.9rem"},"spacing":{"margin":{"top":"0","bottom":"0"}}},"textColor":"secondary","fontFamily":"parisienne"} -->
			<p class="has-text-align-left has-secondary-color has-text-color has-parisienne-font-family" style="margin-top:0;margin-bottom:0;font-size:1.9rem;font-style:normal;font-weight:400"><?php echo esc_html_x( 'About Us', 'Section title', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->
			<!-- wp:heading {"style":{"typography":{"fontSize":"54px"},"spacing":{"margin":{"top":"0"}}}} -->
			<h2 class="wp-block-heading" style="margin-top:0;font-size:54px"><strong><?php echo esc_html_x( 'Who we are', 'Section description text', 'restaurant-block' ); ?></strong></h2>
			<!-- /wp:heading -->
			<!-- wp:paragraph {"style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"300"},"spacing":{"margin":{"bottom":"var:preset|spacing|30","top":"24px"}}}} -->
			<p style="margin-top:24px;margin-bottom:var(--wp--preset--spacing--30);font-size:17px;font-style:normal;font-weight:300"><?php echo esc_html_x( 'Fusce nec auctor tortor, vitae venenatis diam. Cras mattis quam vitae luctus efficitur. Quisque placerat maximus. Fusce nec auctor tortor, vitae venenatis diam. Cras mattis quam vitae luctus efficitur. Quisque placerat maximus.', 'Section main text', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->								
			<!-- wp:buttons -->
			<div class="wp-block-buttons">
				<!-- wp:button {"style":{"typography":{"fontSize":"17px"}},"className":"restaurant-block-button"} -->
				<div class="wp-block-button has-custom-font-size restaurant-block-button" style="font-size:17px">
					<a class="wp-block-button__link wp-element-button" href="about-us"><?php echo esc_html_x( 'Learn More', 'Section call to action button text', 'restaurant-block' ); ?></a>
				</div>
				<!-- /wp:button -->
			</div>
			<!-- /wp:buttons -->
		</div>
		<!-- /wp:column -->
	</div>
	<!-- /wp:columns -->
</div>
<!-- /wp:group -->