<?php
/**
 * Title: Menu Sections
 * Slug: restaurant-block/menu-sections
 * Description: Adds two menu sections from the Five Star Restaurant Menu plugin side by side.
 * Categories: restaurant-block-block-patterns
 */
?>
<!-- wp:group {"align":"full","style":{"spacing":{"margin":{"top":"0","bottom":"0"},"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60"}}},"className":"restaurant-block-menu-sections","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull restaurant-block-menu-sections" style="margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)">
	<!-- wp:columns {"style":{"spacing":{"blockGap":{"top":"0","left":"var:preset|spacing|70"}}}} -->
	<div class="wp-block-columns">
		<!-- wp:column -->
		<div class="wp-block-column">
			<!-- wp:paragraph {"align":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"700","fontSize":"0.85rem"}},"textColor":"secondary"} -->
			<p class="has-text-align-center has-secondary-color has-text-color" style="font-size:0.85rem;font-style:normal;font-weight:700"><?php echo esc_html_x( 'GREAT STARTERS', 'Menu section title', 'restaurant-block' ); ?></p>
			<!-- /wp:paragraph -->						
			<!-- wp:group {"style":{"spacing":{"margin":{"top":"0","bottom":"0"}}},"className":"fdm-pattern-section"} -->
			<div class="wp-block-group fdm-pattern-section" style="margin-top:0;margin-bottom:0"><!-- wp:food-and-drink-menu/menu-section {"id":4} /--></div>
			<!-- /wp:group -->
		</div>
		<!-- /wp:column -->						
		<!-- wp:column -->
		<div class="wp-block-column">
			<!-- wp:paragraph {"align":"center","style":{"typography":{"fontSize":"0.85rem"}},"textColor":"secondary"} -->
			<p class="has-text-align-center has-secondary-color has-text-color" style="font-size:0.85rem"><strong><?php echo esc_html_x( 'OUR MAIN MEALS', 'Menu section title', 'restaurant-block' ); ?></strong></p>
			<!-- /wp:paragraph -->								
			<!-- wp:group {"style":{"spacing":{"margin":{"top":"0","bottom":"0"}}},"className":"fdm-pattern-section"} -->
			<div class="wp-block-group fdm-pattern-section" style="margin-top:0;margin-bottom:0"><!-- wp:food-and-drink-menu/menu-section {"id":5} /--></div>
			<!-- /wp:group -->
		</div>
		<!-- /wp:column -->
	</div>
	<!-- /wp:columns -->						
	<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"var:preset|spacing|40"}}}} -->
	<div class="wp-block-buttons" style="margin-top:var(--wp--preset--spacing--40)">
		<!-- wp:button {"textColor":"contrast","style":{"typography":{"fontSize":"17px"}},"borderColor":"contrast","className":"restaurant-block-button is-style-outline"} -->
		<div class="wp-block-button has-custom-font-size restaurant-block-button is-style-outline" style="font-size:17px">
			<a class="wp-block-button__link has-contrast-color has-text-color has-border-color has-contrast-border-color wp-element-button" href="menu"><?php echo esc_html_x( 'Browse Full Menu', 'Text for menu link button', 'restaurant-block' ); ?></a>
		</div>
		<!-- /wp:button -->
	</div>
	<!-- /wp:buttons -->
</div>
<!-- /wp:group -->